using System;
using System.Collections.Generic;
using System.Linq;  
					
public class Program
{
	public static void Main()
	{
		List<int> lista = new List<int>();  
		List<int> lista2 = new List<int>();
		int napitak = 0;
		int novinapitak = 0;
		string[] t = Console.ReadLine().Split();
		int n = int.Parse(t[0]);
		int k = int.Parse(t[1]);
		string[] tt = Console.ReadLine().Split();
		for (int i = 0; i < tt.Length; i++)
		{
			lista.Add(int.Parse(tt[i]));
		}
		
		lista2.Add(lista.Min());
		
		for (int j = 0; j < (k-1); j++)
		{
			lista2.Add(lista.Max());
			lista.Remove(lista.Max());
		}

		napitak = lista2.Min();
		
		for (int h = k-1; h > 1; h--)
		{
			napitak -= lista2[h];
		}
		
		novinapitak = lista2[1];
		novinapitak -= napitak;
		Console.WriteLine(novinapitak);
	}
}